package com.tykj.dev.misc.utils;

import com.tykj.dev.misc.base.StatusEnum;
import com.tykj.dev.misc.exception.ApiException;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * @author zjm
 * @version 1.0.0
 * @ClassName TaskDisposeUtil.java
 * @Description TODO
 * @createTime 2021年02月02日 14:13:00
 */
public class TaskDisposeUtil {

    public static void isNotSubmit(Integer billStatus, List<StatusEnum> statusEnums){
        if (statusEnums.stream().allMatch(statusEnum -> !statusEnum.id.equals(billStatus))){
            throw new ApiException(ResponseEntity.status(303).body("本次任务已经被其他专管员完成,请处理其他任务"));
        }

    }

    public static void isNotSubmit(Integer billStatus, StatusEnum statusEnums){
        if (!statusEnums.id.equals(billStatus)){
            throw new ApiException(ResponseEntity.status(303).body("本次任务已经被其他专管员完成,请处理其他任务"));
        }

    }
}
